org.apache.sysds.runtime.instructions.gpu

## Class SpoofCUDAInstruction.DoublePrecision

- java.lang.Object
- - org.apache.sysds.runtime.codegen.SpoofCUDAOperator.PrecisionProxy
  - - org.apache.sysds.runtime.instructions.gpu.SpoofCUDAInstruction.DoublePrecision

Enclosing class:
  SpoofCUDAInstruction

    public static class SpoofCUDAInstruction.DoublePrecision
    extends SpoofCUDAOperator.PrecisionProxy

### Constructor Summary

Constructors
Constructor and Description
`DoublePrecision()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `exec(ExecutionContext ec, SpoofCUDAOperator op, int opID, long[] in, long[] sides, long[] out, ArrayList<ScalarObject> scalarObjects, long grix)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoublePrecision

    public DoublePrecision()

### Method Detail

#### exec

    public int exec(ExecutionContext ec,
                    SpoofCUDAOperator op,
                    int opID,
                    long[] in,
                    long[] sides,
                    long[] out,
                    ArrayList<ScalarObject> scalarObjects,
                    long grix)

Specified by:
  `exec` in class `SpoofCUDAOperator.PrecisionProxy`